RSA_new(3) | OpenSSL | RSA_new(3)

# NAME

RSA_new, RSA_free - allocate and free RSA objects

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/rsa.h>
RSA * RSA_new(void);
void RSA_free(RSA *rsa);

# DESCRIPTION

RSA_new() allocates and initializes an RSA structure. It is equivalent to calling RSA_new_method(NULL).

RSA_free() frees the RSA structure and its components. The key is erased before the memory is returned to the system.

# RETURN VALUES

If the allocation fails, RSA_new() returns NULL and sets an error code that can be obtained by ERR_get_error(3). Otherwise it returns a pointer to the newly allocated structure.

RSA_free() returns no value.

# SEE ALSO

ERR_get_error(3), openssl_rsa(3), RSA_generate_key(3), RSA_new_method(3)

# HISTORY

RSA_new() and RSA_free() are available in all versions of SSLeay and OpenSSL.

2009-07-19 | 1.0.1u